Skip to main content
GET
/
v1
/
{tenantUUID}
/
market
/
payouts
List Payouts
curl --request GET \
  --url https://apigw.ipxo.com/billing/v1/{tenantUUID}/market/payouts \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "uuid": "string",
      "tenant_uuid": "string",
      "service_uuid": "string",
      "address": "string",
      "cidr": 0,
      "amount": 0,
      "total": 0,
      "lease_count": 0,
      "status": "pending",
      "status_details": "string",
      "method": "string",
      "transaction_id": "string",
      "start": 0,
      "end": 0,
      "status_date": 0,
      "created_at": 0,
      "earnings": [
        {
          "service_uuid": "string",
          "payout_uuid": "string",
          "amount": 0,
          "start": 0,
          "end": 0,
          "created_at": 0
        }
      ]
    }
  ],
  "meta": {
    "current_page": 0,
    "from": 0,
    "last_page": 0,
    "per_page": 0,
    "to": 0,
    "total": 0
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

tenantUUID
string
required

UUID

Pattern: ^[a-zA-Z0-9]{8}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{12}$

Query Parameters

uuid
string

Filter By Payout UUID

service_uuid
string

Filter By Service UUID

address
string<ipv4>

Filter By IPv4 Address

cidr
integer

Filter By CIDR

amount
number<float>

Filter By Amount

total
number<float>

Filter By Total

lease_count
integer

Filter By Lease Count

status
enum<string>

Filter by Status

Available options:
pending,
completed,
rejected,
graph
method
string

Filter By Method

start
integer

Filter By Start period date in unix timestamp format

end
integer

Filter By End period date in unix timestamp format

from
integer

Filter by Start period date in unix timestamp format which is greater or equal to input

to
integer

Filter By End period date in unix timestamp format which is lower or equal to input

status_date
integer

Filter By Status change date in unix timestamp format

created_at
integer

Filter By Created date in unix timestamp format

sort
string

Sort By Key Expects the value to be list of keys sepparated by commas. Default sort direction for each individual key is ASCENDING, but prefix '-' can be set for each individual key to indicate DESCENDING direction. Valid keys are: [address,cidr,market_service_expiration_date,recurring_amount,billing_cycle,start_date,next_due_date]. Example: '-cidr,address' - will sort descendingly by first and then by

for services with same

page
integer
default:1

List Page

per_page
integer
default:15

Items Per Page

Response

Payout Collection

data
object[]
meta
object